com.google.web.bindery.requestfactory.server

## Class SimpleRequestProcessor

- java.lang.Object
- - com.google.web.bindery.requestfactory.server.SimpleRequestProcessor

    public class SimpleRequestProcessor
    extends java.lang.Object

Processes request payloads from a RequestFactory client. This implementation is stateless. A single instance may be reused and is thread-safe.

### Nested Class Summary

Nested Classes
`(package private) static class` `SimpleRequestProcessor.IdToEntityMap` This parameterization is so long, it improves readability to have a specific type.

### Field Summary

Fields
`(package private) static Configuration` `CONFIGURATION` Allows the creation of properly-configured AutoBeans without having to create an AutoBeanFactory with the desired annotations.
`(package private) static MessageFactory` `FACTORY` Vends message objects.

### Constructor Summary

Constructors
Constructor and Description
`SimpleRequestProcessor(ServiceLayer serviceLayer)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`(package private) <T> Splittable` `createOobMessage(java.util.List<T> domainValues)` Encode a list of objects into a self-contained message that can be used for out-of-band communication.
`(package private) <T> java.util.List<T>` `decodeOobMessage(java.lang.Class<T> domainClass, Splittable payload)` Decode an out-of-band message.
`(package private) static java.lang.String` `fromBase64(java.lang.String encoded)`
`(package private) void` `process(RequestMessage req, ResponseMessage resp)` Main processing method.
`java.lang.String` `process(java.lang.String payload)` Process a payload sent by a RequestFactory client.
`void` `setExceptionHandler(ExceptionHandler exceptionHandler)`
`(package private) static java.lang.String` `toBase64(java.lang.String data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONFIGURATION

    static final Configuration CONFIGURATION

Allows the creation of properly-configured AutoBeans without having to create an AutoBeanFactory with the desired annotations.

#### FACTORY

    static final MessageFactory FACTORY

Vends message objects.

### Constructor Detail

#### SimpleRequestProcessor

    public SimpleRequestProcessor(ServiceLayer serviceLayer)

### Method Detail

#### fromBase64

    static java.lang.String fromBase64(java.lang.String encoded)

#### toBase64

    static java.lang.String toBase64(java.lang.String data)

#### process

    public java.lang.String process(java.lang.String payload)

Process a payload sent by a RequestFactory client.

Parameters:
  `payload` - the payload sent by the client
Returns:
  a payload to return to the client

#### setExceptionHandler

    public void setExceptionHandler(ExceptionHandler exceptionHandler)

#### createOobMessage

    <T> Splittable createOobMessage(java.util.List<T> domainValues)

Encode a list of objects into a self-contained message that can be used for out-of-band communication.

#### decodeOobMessage

    <T> java.util.List<T> decodeOobMessage(java.lang.Class<T> domainClass,
                                           Splittable payload)

Decode an out-of-band message.

#### process

    void process(RequestMessage req,
                 ResponseMessage resp)

Main processing method.